<template lang="pug">
    div
        v-text-field(
            v-if="question.type === 'text'"
            :value="question.value"
            :label="question.label"
            @input="$emit('input', $event)"
        )
        v-text-field(
            v-if="question.type === 'date'"
            type="date"
            :value="question.value"
            :label="question.label"
            @input="$emit('input', $event)"
        )
        v-textarea(
            v-else-if="question.type === 'textArea'"
            :value="question.value"
            :label="question.label"
            @input="$emit('input', $event)"
        )
        v-select(
            v-else-if="question.type === 'select'"
            :value="question.value"
            :label="question.label"
            :items="question.options"
            @input="$emit('input', $event)"
        )
        v-checkbox(
            v-else-if="question.type === 'checkbox'"
            :value="question.value"
            :label="question.label"
            @input="$emit('input', $event)"
        )
</template>

<script>
export default {
    name: "question",
    props: {
        question: {
            required: true,
            type: Object
        }
    }
};
</script>
